%define api %(echo %version | cut -d. -f 1-2)
%define major 0
%define libname %mklibname gtkglextmm %api %major
%define libnamedev %mklibname -d %{name}

Name:          gtkglextmm
Version:       1.2.0
Release:       %mkrel 13
Summary:       C++ wrapper for GtkGlExt
Group:         System/Libraries
License:       LGPL
Url:           http://projects.gnome.org/gtkglext/
Source0:       https://sourceforge.net/projects/gtkglext/files/gtkglextmm/%{version}/gtkglextmm-%{version}.tar.gz
Source1:       glibmm_check_perl.m4
Patch0:		gtkglextmm-1.2.0-aclocal.diff
Patch1:		fix_ftbfs_gtk_2_20.patch
Patch2:		fix_ftbfs_gtk_2_36.patch
Patch3:		fix_ftbfs_gtk_2_37.patch
Patch4:		gtkglextmm-1.2.0-autotools.patch
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairomm-1.0)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkglext-1.0)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(zlib)

%description
gtkglextmm is C++ wrapper for GtkGLExt, OpenGL Extension to GTK.
It enables C++ programmers to write OpenGL applications with gtkmm2.

%package -n %libname
Group:         System/Libraries
Summary:       GStreamermm shared libraries
Provides:      gtkglextmm = %{version}-%{release}
Obsoletes:	%{_lib}gtkglextmm0 < %{version}-%{release}

%description -n %libname
This package contains the GStreamermm shared libraries.

%package -n %libnamedev
Group:         Development/C++
Summary:       Libraries and headers for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %libnamedev
This package contains the libraries and includes files necessary to develop
applications and plugins for %{name}.

%package doc
Group:         Documentation
Summary:       Developer's documentation for the %{name} library
Requires:      gtkglextmm-devel = %{version}-%{release}
BuildArch:     noarch

%description doc
This package contains developer's documentation for the %{name}
library.

%prep
%setup -q -n gtkglextmm-%{version}
%autopatch -p1

# make configure happy
install -Dpm 644 %{_sourcedir}/glibmm_check_perl.m4 m4macros/

%build
# fix build on aarch64
autoreconf -vfi -I m4macros

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%{_libdir}/libgdkglextmm-x11-%{api}.so.%{major}
%{_libdir}/libgdkglextmm-x11-%{api}.so.%{major}.*
%{_libdir}/libgtkglextmm-x11-%{api}.so.%{major}
%{_libdir}/libgtkglextmm-x11-%{api}.so.%{major}.*
%doc ChangeLog README TODO AUTHORS COPYING.LIB COPYING NEWS

%files -n %libnamedev
%dir %{_includedir}/gtkglextmm-%{api}
%{_includedir}/gtkglextmm-%{api}/*
%dir %{_libdir}/gtkglextmm-%{api}/include
%{_libdir}/gtkglextmm-%{api}/include/*.h
%dir %{_libdir}/gtkglextmm-%{api}/proc/m4
%{_libdir}/gtkglextmm-%{api}/proc/m4/*.m4
%{_libdir}/libgdkglextmm-x11-%{api}.so
%{_libdir}/libgtkglextmm-x11-%{api}.so
%{_libdir}/pkgconfig/gdkglextmm-%{api}.pc
%{_libdir}/pkgconfig/gdkglextmm-x11-%{api}.pc
%{_libdir}/pkgconfig/gtkglextmm-%{api}.pc
%{_libdir}/pkgconfig/gtkglextmm-x11-%{api}.pc
%{_datadir}/aclocal/gtkglextmm-%{api}.m4

%files doc
%{_docdir}/gtkglextmm-%{api}/*


%changelog
* Wed Apr 22 2020 ovitters <ovitters> 1.2.0-13.mga8
+ Revision: 1570883
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.2.0-12.mga8
+ Revision: 1512815
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-11.mga7
+ Revision: 1298112
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 1.2.0-10.mga7
+ Revision: 1235393
- fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 1.2.0-9.mga6
+ Revision: 954244
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 wally <wally> 1.2.0-8.mga6
+ Revision: 870235
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-7.mga5
+ Revision: 750147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 680016
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-5.mga4
+ Revision: 531473
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.2.0-4.mga4
+ Revision: 463697
- add debian patches to fix build
- disable warning

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-4.mga3
+ Revision: 352880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 ovitters <ovitters> 1.2.0-3.mga3
+ Revision: 307482
- update group

* Fri Sep 28 2012 fwang <fwang> 1.2.0-2.mga3
+ Revision: 298946
- fix requires

* Sat Dec 10 2011 gil <gil> 1.2.0-1.mga3
+ Revision: 180338
- fix group
- imported package gtkglextmm

